Bug 1201773 (CVE-2015-0778)

Summary: CVE-2015-0778 osc: osc _service file shell injection flaw
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: karlthered, msuchy, saispo
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: osc 0.151.0-8.1, osc 0.151.0-2.24.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:39:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1201774    
Bug Blocks:    

Description Martin Prpič 2015-03-13 13:21:17 UTC
A server and client side arbitrary command execution flaw was found in the source service handling of OBS.

More information along with a patch in Suse's bug report and announcement:

https://bugzilla.novell.com/show_bug.cgi?id=901643
http://lists.opensuse.org/opensuse-security-announce/2015-03/msg00012.html

Comment 1 Martin Prpič 2015-03-13 13:21:33 UTC
Created osc tracking bugs for this issue:

Affects: fedora-all [bug 1201774]

Comment 2 Fedora Update System 2015-03-31 21:56:56 UTC
osc-0.151.1-163.2.1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-05 14:30:37 UTC
osc-0.151.1-163.2.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-05 14:32:03 UTC
osc-0.151.1-163.2.1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:39:36 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.